<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE project>
<project>
  <pomVersion>3</pomVersion>
  <extend>${basedir}/../../etc/project.xml</extend>

  <name>ActiveMQ :: WS</name>
  <id>activemq-ws</id>
  <description>
        ActiveMQ implementation of WS-Eventing and WS-Notification
  </description>

  <package>*</package>

 <packageGroups>
    <packageGroup>
      <title>WS-Notification APIs</title>
      <packages>org.activemq.ws.notification</packages>
    </packageGroup>
   <packageGroup>
     <title>WS-Notification Implementation classes</title>
     <packages>org.activemq.ws.notification.*</packages>
   </packageGroup>
    <packageGroup>
      <title>WS-ResourceProperties and WS-ResourceLifetime APIs</title>
      <packages>org.activemq.ws.resource</packages>
    </packageGroup>
    <packageGroup>
      <title>WS-Eventing APIs</title>
      <packages>org.activemq.ws.eventing</packages>
    </packageGroup>
    <packageGroup>
      <title>XMLBeans for the WS-Eventing, WS-Notification, WS-ResourceProperties schemas</title>
      <packages>org.activemq.ws.xmlbeans.*</packages>
    </packageGroup>
  </packageGroups>


  <siteDirectory>/home/projects/activemq/public_html/maven/ws</siteDirectory>

  <dependencies>

    <dependency>
      <groupId>activemq</groupId>
      <artifactId>activemq-core</artifactId>
      <version>${pom.currentVersion}</version>
      <properties>
        <eclipse.dependency>true</eclipse.dependency>
      </properties>
    </dependency>

    <!-- For XMLBeans -->
    <dependency>
      <groupId>xmlbeans</groupId>
      <artifactId>xbean</artifactId>
      <version>2.0.0-beta1</version>
    </dependency>
    <dependency>
      <groupId>xmlbeans</groupId>
      <artifactId>xmlpublic</artifactId>
      <version>2.0.0-beta1</version>
    </dependency>
    <dependency>
      <groupId>xmlbeans</groupId>
      <artifactId>xbean_xpath</artifactId>
      <version>2.0.0-beta1</version>
    </dependency>

    <!-- StAX API -->
    <dependency>
      <id>stax+api</id>
      <version>1.0</version>
    </dependency>

    <!-- utility library for adapting StAX to SAX and JAXP Source -->
    <dependency>
      <id>stax-utils</id>
      <version>snapshot-20040917</version>
    </dependency>

    <!-- possible StAX implementations: START -->

    <!-- fast implementation of StAX -->
    <dependency>
      <groupId>woodstox</groupId>
      <artifactId>wstx-asl</artifactId>
      <version>1.9</version>
    </dependency>

    <!-- reference implementation -->
    <!--
    <dependency>
      <id>stax</id>
      <version>1.1.1-dev</version>
    </dependency>
    -->
    <!-- possible StAX implementations: END -->

    <!-- to invoke remote web services -->
    <dependency>
      <id>activesoap</id>
      <version>1.0-SNAPSHOT</version>
    </dependency>

    <!-- JAXB 1.0 based XML marshalling -->
<!--
    <dependency>
      <groupId>activesoap</groupId>
      <artifactId>jaxb-api</artifactId>
      <version>1.5</version>
    </dependency>
    <dependency>
      <groupId>activesoap</groupId>
      <artifactId>jaxb-impl</artifactId>
      <version>1.5</version>
    </dependency>
    <dependency>
      <groupId>activesoap</groupId>
      <artifactId>jaxb-libs</artifactId>
      <version>1.5</version>
    </dependency>
    <dependency>
      <groupId>activesoap</groupId>
      <artifactId>jaxb-xjc</artifactId>
      <version>1.5</version>
    </dependency>
    <dependency>
      <groupId>activesoap</groupId>
      <artifactId>xsdlib</artifactId>
      <version>1.5</version>
    </dependency>
    <dependency>
      <groupId>activesoap</groupId>
      <artifactId>relaxngDatatype</artifactId>
      <version>1.5</version>
    </dependency>
    <dependency>
      <groupId>activesoap</groupId>
      <artifactId>jaxb-xercesImpl</artifactId>
      <version>1.5</version>
    </dependency>
    <dependency>
      <groupId>activesoap</groupId>
      <artifactId>jaxb-xalan</artifactId>
      <version>1.5</version>
    </dependency>
-->

    <!-- JAXB 2.0 based XML marshalling -->
    <dependency>
      <groupId>activesoap</groupId>
      <artifactId>jaxb-api</artifactId>
      <version>20050407</version>
    </dependency>
    <dependency>
      <groupId>activesoap</groupId>
      <artifactId>jaxb-impl</artifactId>
      <version>20050407</version>
    </dependency>
    <dependency>
      <groupId>activesoap</groupId>
      <artifactId>jaxb1-impl</artifactId>
      <version>20050407</version>
    </dependency>
    <dependency>
      <groupId>activesoap</groupId>
      <artifactId>jaxb-xjc</artifactId>
      <version>20050407</version>
    </dependency>
    <dependency>
      <groupId>activesoap</groupId>
      <artifactId>xsdlib</artifactId>
      <version>20050407</version>
    </dependency>
    <dependency>
      <groupId>activesoap</groupId>
      <artifactId>relaxngDatatype</artifactId>
      <version>20050407</version>
    </dependency>


    <!-- Axis -->
    <!--
    <dependency>
      <groupId>axis</groupId>
      <artifactId>axis</artifactId>
      <version>1.2-beta-3</version>
    </dependency>
    <dependency>
      <groupId>axis</groupId>
      <artifactId>axis-ant</artifactId>
      <version>1.2-beta-3</version>
    </dependency>
    <dependency>
      <groupId>axis</groupId>
      <artifactId>axis-jaxrpc</artifactId>
      <version>1.2-beta-3</version>
    </dependency>
    <dependency>
      <groupId>axis</groupId>
      <artifactId>axis-wsdl4j</artifactId>
      <version>1.2-beta-3</version>
    </dependency>
    <dependency>
      <groupId>axis</groupId>
      <artifactId>axis-saaj</artifactId>
      <version>1.2-beta-3</version>
    </dependency>
    <dependency>
      <groupId>commons-discovery</groupId>
      <artifactId>commons-discovery</artifactId>
      <version>0.2</version>
    </dependency>
    -->

  </dependencies>

  <build>
    <resources>
      <resource>
        <directory>${xmlbeans.compiled.classes.dir}</directory>
        <includes>
          <include>**/*.xsb</include>
          <include>**/*.wsdl</include>
          <include>**/*.xml</include>
          <include>**/*.class</include>
        </includes>
      </resource>
    </resources>
  </build>

</project>
